Jump to content

Photo

Android: Problems with updating gemRB 0.7.0.1 to 0.7.2

0.7.2 update

4 replies to this topic

#1 Nessia

Nessia
  • Members
  • 2 posts

Posted 04 March 2013 - 07:21 AM

Hello everyone,

As the topic states I have problems with updating my gemRB, downloaded from android market, to 0.7.2 (http://sourceforge.n...naries/android/). The bg2 and tob are working flawlesly on 0.7.0.1; however, when I try to replace or copy GUIScripts, the game immediately crashes and sends me back to the home screen. Yet, the game works fine if I go back to the 0.7.0.1 GUIScripts. The instructions provided only mention GUIScripts and Override folders to be copied, but the GemRB-nmake-vs10-v0.7.2 contains much more files. Am I missing something here? The cache folder is empty and the resolution that I'm using is 800x600, which is absolutely fine on 720p screens. What could be the cause of such situation? The game works fine on the old 0.7.0.1 GUIScripts (of course there's that nasty trap bug that I'm trying to get rid of), but as soon as I replace it entirely with the 0.7.2 GUIScripts, the emulator kicks me to the home screen. Any ideas?

My installation process:
1) dl gemRB from google play,
2) run the app and dl the remaining files,
3) copy all bg2 + tob files, including *.exe,
4) rename the GemRB.cfg.sample to GemRB.cfg and then set the resolution to 800x600,
5) Run the game and check if it works; it works properly,
6) replace (tried also overwriting) the 0.7.0.1 GUIScripts and Override folders with the 0.7.2 counterparts,
7) result - app exits to the home screen.

When I overwrite the said folders back to their previous version, everything works fine. But the game is unplayable due to the trap bug.

I know that some people managed to upgrade their gemRBs to 0.7.2 so I'd be grateful for any help.

#2 lynx

lynx
  • Modders
  • 3144 posts
  • Gender:Male
  • Location:Ljubljana, Slovenija

Posted 04 March 2013 - 09:14 AM

There is a link to a post 0.7.2 build somewhere on the forum and the pure sdl2 effort is going well too.

Anyway, you can't just replace those two folders, you also need to install the newer gemrb that comes along.

GemRB - IE anywhere.
Mages needed! Looking for Planescape: Torment testers
Play android version IS NOT SUPPORTED ANYMORE: reported bugs will be ignored! Still looking for builders ...


#3 Nessia

Nessia
  • Members
  • 2 posts

Posted 04 March 2013 - 04:17 PM

Thanks. I've worked it out. No more bug traps for me.

#4 zamik

zamik
  • Members
  • 7 posts

Posted 04 April 2013 - 09:58 AM

you say you worked it out, but what did you do? i have the same issue and i am installing the new apk.

#5 Rockbttm88

Rockbttm88
  • Members
  • 12 posts

Posted 06 April 2013 - 09:43 AM

Nessia can you please explain how you upgraded? Im having this issue on my Note 2.



Reply to this topic



  



Also tagged with one or more of these keywords: 0.7.2, update

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users